#!/bin/bash

# Copyright Jean-Philippe Guillemin <jp.guillemin@free.fr>. This program is free software; you can redistribute
# it and/or modify it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at your option)
# any later version. Please take a look at http://www.gnu.org/copyleft/gpl.htm

# Script modified by Ejis <ejis@mailoo.org>

version='2.6.33.7.2'
rt='rt30'
pkgversion='70.2'
softname='kernelsource-rt'

arch='i486'
cpu='i686'

buildir=$(pwd)

srcdir="/usr/src/linux-${version}-${rt}"

newdir="${softname}-${version}.${rt}-${arch}-${pkgversion}"
dest=/tmp/${newdir}

cd ${buildir}
rm -rf ${dest}
rm -f ${dest}.tgz

# Creating main directories
mkdir -p ${dest}/usr/src/

# Build scripts
( 
	cd ${srcdir}
	mv .config config-saved
	# cp include/linux/bounds.h bounds.h-saved
	make clean
	mv config-saved .config 
	make include/asm
	make include/linux/version.h
	make include/linux/utsrelease.h
	make prepare scripts 
	# mv bounds.h-saved include/linux/bounds.h
)

# Copy the sources in the package
cp -rpf ${srcdir} ${dest}/usr/src/linux-${version}-${rt}

# This one is missing
(
	cd ${dest}/usr/src/linux-${version}-${rt}/include/linux 
	ln -sf autoconf.h config.h
)


chown -R root:root ${dest}

mkdir -p ${dest}/install

cat << "EOF" > ${dest}/install/slack-desc
kernelsource: kernel.org Linux sources
kernelsource:
kernelsource: The Linux kernel source is configured with support for most
kernelsource: hardware. This source tree is ready to compile drivers.
kernelsource: 
kernelsource: This kernel is patched for Real Time.
kernelsource: 
kernelsource: 
kernelsource: 
kernelsource: 
EOF


mkdir -p ${dest}/usr/src/${softname}-${version}.${rt}
cp ${buildir}/build-${softname}.sh ${dest}/usr/src/${softname}-${version}.${rt}

cd ${dest}
makepkg -l y -c n ${dest}.txz
rm -rf ${dest}




